Package: org.slf4j.impl

## [Java] Class StaticLoggerBinder

- org.slf4j.impl.StaticLoggerBinder

- All Implemented Interfaces and Traits:
    org.slf4j.spi.LoggerFactoryBinder

      public class StaticLoggerBinder

  Provides stack trace cleaning and filtering of log4j log output.

  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `REQUESTED_API_VERSION` | Declare the version of the SLF4J API this implementation is compiled against.

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `org.slf4j.ILoggerFactory` | `getLoggerFactory()`
    `java.lang.String` | `getLoggerFactoryClassStr()`
    `static StaticLoggerBinder` | `getSingleton()` Return the singleton of this class.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static java.lang.String REQUESTED_API_VERSION

      Declare the version of the SLF4J API this implementation is compiled against. The value of this field is usually modified with each release.

  - ### Method Detail

    - #### public org.slf4j.ILoggerFactory getLoggerFactory()

    - #### public java.lang.String getLoggerFactoryClassStr()

    - #### public static final StaticLoggerBinder getSingleton()

      Return the singleton of this class.

      Returns:
        the StaticLoggerBinder singleton